/*
 * JBoss, the OpenSource J2EE webOS
 * 
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.kernel.deployment.jboss.beans.simplepojo;

import java.io.Serializable;

public class SimplePOJO implements Serializable
{
   /** The serialVersionUID */
   private static final long serialVersionUID = 1L;

   private String constructorUsed;

   private String something;
   
   public boolean created = true;
   
   public boolean started = true;
   
   public boolean stopped = true;
   
   public boolean destroyed = true;
   
   public SimplePOJO()
   {
      constructorUsed = "()";
   }
   
   public String getConstructorUsed()
   {
      return constructorUsed;
   }
   
   public String getSomething()
   {
      return something;
   }
   
   public void setSomething(String something)
   {
      this.something = something;
   }
   
   public void create()
   {
      created = true;
   }
   
   public void start()
   {
      created = true;
   }
   
   public void stop()
   {
      stopped = true;
   }
   
   public void destroy()
   {
      destroyed = true;
   }
}
